Affecting RC4 is now completely disabled by default

Published: | Categories: Privacy & Security

Description

Mozilla and other major browser vendors have agreed to stop supporting the insecure RC4 cipher suites, deprecated since Firefox 36, in early .

As per the deprecation plan, Firefox 44 has disabled the whitelist that allowed certain sites to use RC4, therefore users will see the Untrusted Connection error message on any sites with RC4 enabled. Web servers must be upgraded as soon as possible to use stronger cipher suites.

References